Bug 1766 - RSS feed reader requires a network to access local feeds via http
: RSS feed reader requires a network to access local feeds via http
Status: RESOLVED WONTFIX
Product: RSS feed reader
General
: 5.0-beta
: N800 Maemo
: Low enhancement (vote)
: ---
Assigned To: unassigned
: rss-feed-reader-bugs
: http://localhost/index.xml
:
: 1767
:
  Show dependency tree
 
Reported: 2007-08-06 20:28 UTC by timeless
Modified: 2012-03-24 11:46 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description timeless (reporter) 2007-08-06 20:28:53 UTC
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a7pre)
Gecko/2007071805 Minefield/3.0a7pre
Build Identifier: 

Due to an architectural bug (which is why I'm filing this bug), it is not
possible to use the RSS feed reader to read an RSS feed from a server running
on localhost. This prevents people from using or testing active content and
blocks a host of web 2.0 activities (sorry, yes, I'm poking fun at bug 1605
comment 0 - hint to future reporters: Don't complain that it prevents a whole
class of whatever, and please don't assume it's some bug in the final
application, bugs can easily be core bugs, and it's usually trivial to prove).

Reproducible: Always

Steps to Reproduce:
1. press the power key
2. press the hardware down key
2' Normal mode or Offline mode should be selected
3. If Offline mode is selected, press Hardware select
3' you should see "Offline mode activated"
4. tap the others icon (it's the third big icon in the task navigator on the
left side of the screen) - it's possible to do this with keypresses (but for
this bug, I've decided not to)
4' you will see the others menu. if you haven't customized it from control
panel, RSS feed reader should be present at the top, otherwise, you'll have to
find it.
5. tap RSS feed reader
5' RSS feed reader will open
6. tap the v arrow in the title area of RSS feed reader
6' the application menu opens
7. tap feed>add...
7' Add feed dialog opens
8. tap the address area
9. type: http://localhost/index.xml
10. tap ok
10' ? Exit offline mode?
[ OK ] [ Cancel ]
11. tap cancel
12. double tap the newly added feed in the left column (it should be the last
one)
12' ? Exit offline mode?
[ OK ] [ Cancel ]
12. tap OK
12' observe network status indicator swap from globe w/ slash to globe w/
flashing antenna.
12' ? Network connection error.
Try again
[ OK ] [ Cancel ]
13. tap OK
13' Select connection
...
[ Connect ] [ Cancel ]
14' tap cancel

Actual Results:  
-described inline with steps to reproduce- actual results include 's after
numbers instead of .'s. (I do have a notation for expected results too, but
it's rarely necessary)

Expected Results:  
internet connectivity daemon should not prompt the user to exit offline mode.
internet connectivity daemon should not prompt the user to connect to a
network.
RSS reader should be allowed (without using its own code to magically guess if
the address is local!) to attempt to connect to localhost and then try to
render my rss content.

It seems people (I don't care, I just object to people filing bugs against the
browser when the bug is at the platform level) expect to be able to access
local resources without leaving offline mode and without connecting to a
network.

Note: It is not acceptable for the RSS reader to simply hard code localhost,
127.0.0.1, and a bunch of others. If RSS reader or any other application (e.g.
browser) hard codes such things, I will file a bug with steps to create an
/etc/hosts file which has myservername 127.89.21.5 and complain that I can't
read http://myservername.

n800, 4.2007 release, en-US locale, wifi configured, bluetooth paired to an
e61i cell phone w/ elisa connection configured. For testing, I'd suggest a
flight from Helsinki (HEL) to San Francisco (SFO). [Steps to reproduce and
preconditions are fun, if you're lucky, someone will actually follow them, if
I'm lucky, that's a flight! reporters: please don't omit steps to reproduce or
preconditions] The flight should not have onboard wifi (this is the case for
most airlines), otherwise you might be allowed to use your n800 in online mode,
which defeats part of the testcase.

No, I don't have an http server installed, it doesn't matter, but if you want
steps for installing one, I'm sure you can ask the reporter of bug 1605 (who
unfortunately *failed* to include those critical steps!).
Comment 1 Quim Gil nokia 2008-12-05 13:16:51 UTC
This is now considered an enhancement request, see Bug 1767 Comment 9
Comment 2 Andre Klapper maemo.org 2012-03-24 11:46:09 UTC
The Maemo 5 User Interface and Maemo 5 platform components (e.g. libraries)
used for the N900 are considered stable by Nokia and it seems that there are no
plans for official updates currently, hence nobody plans to work on this
enhancement/wishlist request. 
(And in case you feel like discussing this situation: Nokia Customer Care or
http://talk.maemo.org would be the place to do so as you will not reach Nokia
officials in this community bugtracker - though all of this is really no news.)

Reflecting this status by setting RESOLVED WONTFIX for this
enhancement/wishlist request (see
https://bugs.maemo.org/page.cgi?id=fields.html#status for status explanations).

There is a small chance for issues in those Maemo components that are open
source: Contributed patches could be included and made available in the Maemo 5
Community CSSU updates. 
The Maemo CSSU project is run by a small team of volunteers; see
http://wiki.maemo.org/CSSU for more information.
So in case that you can provide a patch that fixes the reported problem, please
feel encouraged to file a request under
https://bugs.maemo.org/enter_bug.cgi?product=Maemo%205%20Community%20SSU .
Please note: The Maemo CSSU project is not related in any way to Nokia.


( Tag for mass-deleting bugmail: [cleanup20120324] )